=== debian/changelog ===
ocaml-dbus (0.29-7) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * Depend on ocaml instead of transitional ocaml-nox
  * Bump Standards-Version to 4.6.2

  [ Debian Janitor ]
  * Update watch file format version to 4.
  * Remove constraints unnecessary since buster (oldstable):
    + libdbus-ocaml-dev: Drop versioned constraint on libdbus-1-dev (>= 1.2.24)
      in Depends.

 -- Stéphane Glondu <glondu@debian.org>  Sat, 02 Sep 2023 08:28:11 +0200

ocaml-dbus (0.29-6) unstable; urgency=medium

  * Team upload
  * Fix FTBFS on bytecode architectures

 -- Stéphane Glondu <glondu@debian.org>  Thu, 23 Jul 2020 13:29:00 +0200

ocaml-dbus (0.29-5) unstable; urgency=medium

  * Team upload
  * Disable test on bytecode architectures (Closes: #966080)
  * libdbus-ocaml: add Breaks+Replaces libdbus-ocaml-dev (Closes: #966089)

 -- Stéphane Glondu <glondu@debian.org>  Thu, 23 Jul 2020 11:21:13 +0200

ocaml-dbus (0.29-4) unstable; urgency=medium

  * Team upload
  * Bump debhelper compat level to 13 (Closes: #965753)
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no
  * Update Vcs-* to point to salsa

 -- Stéphane Glondu <glondu@debian.org>  Wed, 22 Jul 2020 09:43:58 +0200

ocaml-dbus (0.29-3) unstable; urgency=low

  [ Stéphane Glondu ]
  * Team upload
  * Bump build-dependency to libdbus-1-dev
  * Make libdbus-ocaml-dev depend on libdbus-1-dev (Closes: #734844)
  * Switch source format to 3.0 (quilt)
  * Recommend findlib
  * Update Homepage and Vcs-*

  [ Sylvain Le Gall ]
  * Fix debian/copyright: license is LGPL 2.1 + OCaml linking exception
  * Remove Sylvain Le Gall from uploaders

  [ Hendrik Tews ]
  * fix watchfile

 -- Stéphane Glondu <glondu@debian.org>  Sat, 18 Jan 2014 10:47:28 +0100

ocaml-dbus (0.29-1) unstable; urgency=low

  * New upstream release (Closes: #542771)
  * Add debian/gbp.conf to force using pristine-tar
  * Upgrade Standards-Version to 3.8.3 (section ocaml)
  * Use dh-ocaml 0.9.1 (depends and dh_ocamldoc)

 -- Sylvain Le Gall <gildor@debian.org>  Sun, 25 Oct 2009 17:51:18 +0000

ocaml-dbus (0.07-1) unstable; urgency=low

  * New Upstream Version
  * Set maintainer to Debian OCaml Maintainers
  * Add dh-ocaml build-dependency (rules/ocaml.mk)
  * Upgrade Standards-Version to 3.8.0 (debian/README.source)
  * Add ${misc:Depends} to dependencies
  * Update debian/copyright file to use
    http://wiki.debian.org/Proposals/CopyrightFormat
  * Patch 01_destdir applied upstream, remove it

 -- Sylvain Le Gall <gildor@debian.org>  Sat, 07 Mar 2009 01:19:34 +0100

ocaml-dbus (0.06-1) unstable; urgency=low

  * Initial release. (Closes: #485308)

 -- Sylvain Le Gall <gildor@debian.org>  Sun, 08 Jun 2008 23:19:41 +0200
