=== debian/control ===
Source: ocaml-dbus
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Build-Depends:
 debhelper-compat (= 13),
 ocaml,
 ocaml-findlib,
 libdbus-1-dev,
 pkg-config,
 dh-ocaml
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-dbus
Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-dbus.git
Homepage: https://projects.snarc.org/ocaml-dbus/

Package: libdbus-ocaml
Architecture: any
Depends: ${ocaml:Depends}, ${shlibs:Depends}, ${misc:Depends}
Breaks: libdbus-ocaml-dev (<< 0.29-4)
Replaces: libdbus-ocaml-dev (<< 0.29-4)
Provides: ${ocaml:Provides}
Description: OCaml bindings for the D-Bus API (runtime)
 This library provides OCaml bindings for using D-Bus.
 .
 D-Bus is a projects that permits program to communicate with each other, using
 a simple IPC protocol
 .
 This package contains shared library.

Package: libdbus-ocaml-dev
Architecture: any
Depends:
 libdbus-1-dev,
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Recommends:
 ocaml-findlib
Provides: ${ocaml:Provides}
Description: OCaml bindings for the D-Bus API (development files)
 This library provides OCaml bindings for using D-Bus.
 .
 D-Bus is a projects that permits program to communicate with each other, using
 a simple IPC protocol
 .
 This package contains header and OCaml library.
